не загружается база данных

Тема в разделе "Серверные сборки", создана пользователем doroga81, 26.08.2012.

  1. Offline

    doroga81 Недавно здесь

    Регистрация:
    08.12.2011
    Сообщения:
    32
    Симпатии:
    0
    Пол:
    Мужской
    Создал шаблон Джумла 2.5 на локальном сервере.
    База данных создалась нормально, сайт на локалке загружался.
    Хотел его выложить на хостинг ELITNO.net. Но БД нормально не загружается при попытке импортирования выдается вот такое сообщение
    Ошибка

    SQL-запрос:

    INSERT INTO `iznxu2_menu`
    VALUES ( 22, 'menu', 'com_joomlaupdate', 0xcee1edeee2ebe5ede8e5204a6f6f6d6c6121, '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 0, 1, 1, 28, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 41, 42, 0, '*', 1 ) ;

    Ответ MySQL: Документация
    #1062 - Duplicate entry '1-1--*' for key 'idx_client_id_parent_id_alias_language'
    Вместо 61 таблицы загрузилось только 39.

    Что мне делать?
    И второе при включении модуля на шаблоне , который находится правом верхнем углу во всех браузерах модуль нормально отображается , а в эксплоуере ЦЕЛИКОм вылазит за границы шаблона вправо.
    Какое противоядие?
     
  2.  
  3. woojin
    Offline

    woojin Местный Команда форума

    Регистрация:
    31.05.2009
    Сообщения:
    3 209
    Симпатии:
    335
    Пол:
    Мужской
    1. проверь таблицу или по кускам её импортируй SQL запросами
    2. смени браузер или сделай два CSS файла, один для всех браузеров, второй только для эксплорера, в неё подгони разметку под "ишачину"
    ;)
     
  4. Offline

    doroga81 Недавно здесь

    Регистрация:
    08.12.2011
    Сообщения:
    32
    Симпатии:
    0
    Пол:
    Мужской
    Извини, я - чайник.
    А как и чем лучше проверить таблицы?
    По частям загружать имеется в виду по частям их копировать в блокнот и так загружать?
    Ну а если заново переделать, как это лучше сделать с наименьшими потерями времени?
    а вот что в сети еще пишут, я менял префикс по умолчанию на свой, так в видеоуроках советовали.
    Это можно как-то исправить?
    MySQL: Duplicate entry '1' for key 1
    This usually occurs with a message about either the menu or modules table. This is caused by one of two things: the wrong prefix is entered or the files are unwriteable. If you put in the wrong prefix, replace the migrate.sql file with a new copy and enter the prefix "jos_". If the files are unwriteable, ensure that the installer can write to the following locations:

    your temporary directory (usually the 'tmp' folder in your install)
    the folder "installation/sql/migration"
    [optional] the entire "installation" folder and subfolders (you will remove them later anyway)

    If you have previously tried migrating and have an existing migrate.sql file (regardless of your upload method), try deleting it first, validating that it is gone and then reupload (either via FTP or HTTP) the migration SQL file and then migrate with the permissions set accordingly.
     
    Последнее редактирование: 26.08.2012
  5. woojin
    Offline

    woojin Местный Команда форума

    Регистрация:
    31.05.2009
    Сообщения:
    3 209
    Симпатии:
    335
    Пол:
    Мужской
    вообще то для переноса есть очень мощный компонент akeeba backup
    он сам делает всё что необходимо для переноса
    для распаковки его архива используется файл kickstart, который качается с сайта этого компонента

    P.S. если в ручную пока переносить не умеешь, то используй только его)))))
     
  6. Offline

    doroga81 Недавно здесь

    Регистрация:
    08.12.2011
    Сообщения:
    32
    Симпатии:
    0
    Пол:
    Мужской
    Извини, что надоедаю и цитата не очень по теме но у меня такой вопрос, просто чайник я, а время улетает.
    Установил себе Денвер.
    По умолчанию там стоит вот что:
    phpMyAdmin 2.6.1
    MySQL 5.0.45-community-nt на localhost как root@localhost

    При установке Джумлы 2.5.6 пишут такие требования
    Версия PHP >= 5.2.4 и напротив зеленое ДА.
    Те система вроде как пропускает мой PHP, хотя фактически у меня и более ранняя версия, чем требуется.
    Вопрос, смогу ли работать с моей версией на Джумле 2.5.6? Не будет ли у меня проблем с выгрузкой сайта на хостинг в связи с этим?
    А если надо обновляться, то как это сделать?
     
  7. woojin
    Offline

    woojin Местный Команда форума

    Регистрация:
    31.05.2009
    Сообщения:
    3 209
    Симпатии:
    335
    Пол:
    Мужской
    1. грохни свой денвер к чертям собачим - это не до сервер, используй более профессиональную систему XAMPP
    характеристики:
    Apache 2.4.2
    MySQL 5.5.25a
    PHP 5.4.4
    phpMyAdmin 3.5.2
    FileZilla FTP Server 0.9.41
    Tomcat 7.0.28 (with mod_proxy_ajp as connector)
    Strawberry Perl 5.16.0.1 Portable
    XAMPP Control Panel 3.0.12 (from hackattack142)

    2. работать сможешь, но как всегда могут возникнуть проблемы с кодировками, у денвера по умолчанию используется кодовая страница 1251, а XAMPP используется UTF-8, именно такая сейчас используется на 95% всех серверов в мире (ну может и поменьше, я просто не беру в расчёт сервера WINDOWS)
    3. с нормальным сервером все обновления проходят на 5 с плюсом))))

    P.S. у XAMPP вообще самая последняя стабильная версия всего и Apache и PHP и MySQL и вроде как даже phpMyAdmin тоже самый последний, могу конечно ошибаться, я сравнивал версии примерно месяц назад:[
     

Поделиться этой страницей

Загрузка...